Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang
Class NullArgumentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IllegalArgumentException
                              |
                              +--org.apache.commons.lang.NullArgumentException

All Implemented Interfaces:
  Serializable

public class NullArgumentException
extends IllegalArgumentException

Thrown to indicate that an argument was `null` and should not have been. This exception supplements the standard `IllegalArgumentException` by providing a more semantically rich description of the problem.

`NullArgumentException` represents the case where a method takes in a parameter that must not be `null`. Some coding standards would use `NullPointerException` for this case, others will use `IllegalArgumentException`. Thus this exception would be used in place of `IllegalArgumentException`, yet it still extends it.

     public void foo(String str) {
       if (str == null) {
         throw new NullArgumentException("str");
       }
       // do something with the string
     }

Since:
  2.0
Version:
  $Id: NullArgumentException.java 437554 2006-08-28 06:21:41Z bayard $
Author:
  Matthew Hawthorne, Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`NullArgumentException(String argName)` Instantiates with the given argument name.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullArgumentException

    public NullArgumentException(String argName)

  Instantiates with the given argument name.

  Parameters:
    `argName` - the name of the argument that was `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Apache Software Foundation